### Function

# GLib test_queue_free

since: 2.16

#### Declaration [src]

    void
    g_test_queue_free (
      gpointer gfree_pointer
    )

#### Description [src]

Enqueue a pointer to be released with `g_free()` during the next teardown phase. This is equivalent to calling `g_test_queue_destroy()` with a destroy callback of g_free().

Available since: 2.16

#### Parameters

`gfree_pointer`

  Type: `gpointer`

  The pointer to be stored.

  The argument can be `NULL`.
  The data is owned by the caller of the function.